<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="button" data-toggle="tooltip" title="<?php echo $button_delete; ?>" class="btn btn-danger" onclick="confirm('<?php echo $text_confirm; ?>') ? $('#form-manufacturer').submit() : false;"><i class="fa fa-trash-o"></i></button>
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if ($success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $text_list; ?></h3>
      </div>
      <div class="panel-body">
        <div class="well">
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-filter_company_id"><?php echo $entry_company_name;?> </label>
                <input type="text" name="filter_company_id" value="" placeholder="<?php echo $entry_company_name; ?>" id="input-filter_company_id" class="form-control" />
                <input type="hidden" name="company_id" value=""/>
              </div>
            </div>
              
            <div class="col-sm-3 text-center">
              <button type="button" id="button-filter" class="btn btn-primary"><i class="fa fa-filter"></i> <?php echo $button_filter; ?></button>
            </div>

          </div>
        </div>
        <form action="<?php echo $delete; ?>" method="post" enctype="multipart/form-data" id="form-manufacturer">
          <div class="table-responsive">
            <table class="table table-bordered table-hover">
              <thead>
                <tr>
                  <td style="width: 1px;" class="text-center"><input type="checkbox" onclick="$('input[name*=\'selected\']').prop('checked', this.checked);" /></td>
                  <td class="text-left"><?php if ($sort == 'company_name') { ?>
                    <a href="<?php echo $sort_company_name; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_company_name; ?></a>
                    <?php } else { ?>
                    <a href="<?php echo $sort_company_name; ?>"><?php echo $column_company_name; ?></a>
                    <?php } ?>
                  </td>

                  <td class="text-left"><?php if ($sort == 'card_number') { ?>
                    <a href="<?php echo $sort_card_number; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_card_number; ?></a>
                    <?php } else { ?>
                    <a href="<?php echo $sort_card_number; ?>"><?php echo $column_card_number; ?></a>
                    <?php } ?>
                  </td>

                  <td class="text-left"><?php if ($sort == 'expiry_month') { ?>
                    <a href="<?php echo $sort_expiry_month; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_expiry_month; ?></a>
                    <?php } else { ?>
                    <a href="<?php echo $sort_expiry_month; ?>"><?php echo $column_expiry_month; ?></a>
                    <?php } ?>
                  </td>

                  <td class="text-left"><?php if ($sort == 'expiry_year') { ?>
                    <a href="<?php echo $sort_expiry_year; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_expiry_year; ?></a>
                    <?php } else { ?>
                    <a href="<?php echo $sort_expiry_year; ?>"><?php echo $column_expiry_year; ?></a>
                    <?php } ?>
                  </td>

                  <td class="text-left"><?php if ($sort == 'date_added') { ?>
                    <a href="<?php echo $sort_date_added; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_date_added; ?></a>
                    <?php } else { ?>
                    <a href="<?php echo $sort_date_added; ?>"><?php echo $column_date_added; ?></a>
                    <?php } ?>
                  </td>
                
                </tr>
              </thead>
              <tbody>
                <?php if ($membership_reports) { ?>
                <?php foreach ($membership_reports as $membership_report) { ?>
                <tr>
                  <td class="text-center"><?php if (in_array($membership_report['member_id'], $selected)) { ?>
                    <input type="checkbox" name="selected[]" value="<?php echo $membership_report['member_id']; ?>" checked="checked" />
                    <?php } else { ?>
                    <input type="checkbox" name="selected[]" value="<?php echo $membership_report['member_id']; ?>" />
                    <?php } ?></td>
                  <td class="text-left"><?php echo $membership_report['cname'];?></td>
                  <td class="text-left"><?php echo $membership_report['card_number'];?></td>
                  <td class="text-left"><?php echo $membership_report['expiry_month'];?></td>
                  <td class="text-left"><?php echo $membership_report['expiry_year'];?></td>
                  <td class="text-left"><?php echo $membership_report['date_added'];?></td>
                </tr>
                <?php } ?>
                <?php } else { ?>
                <tr>
                  <td class="text-center" colspan="6"><?php echo $text_no_results; ?></td>
                </tr>
                <?php } ?>
              </tbody>
            </table>
          </div>
        </form>
        <div class="row">
          <div class="col-sm-6 text-left"><?php echo $pagination; ?></div>
          <div class="col-sm-6 text-right"><?php echo $results; ?></div>
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
$('#button-filter').on('click', function() {
  var url = 'index.php?route=job/membership_report&token=<?php echo $token; ?>';
  
  var filter_company_id = $('input[name=\'company_id\']').val();

  if (filter_company_id) {
    url += '&filter_company_id=' + encodeURIComponent(filter_company_id);
  }
  
  location = url;
});
</script>

<script type="text/javascript">
$('input[name=\'filter_company_id\']').autocomplete({
  'source': function(request, response) {
    $.ajax({
      url: 'index.php?route=job/company/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
      dataType: 'json',
      success: function(json) {
        json.unshift({
          company_id: 0,
          full_name:'<?php echo $text_none; ?>'
        });

        response($.map(json, function(item) {
          return {
            label: item['full_name'],
            value: item['company_id']
          }
        }));
      }
    });
  },
  'select': function(item) {
    $('input[name=\'filter_company_id\']').val(item['label']);
    $('input[name=\'company_id\']').val(item['value']);
  }
});
</script>

<?php echo $footer; ?>